Skip to main content
Client List Agents
Rate Limit: This endpoint is limited to requests per minute per user.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>. The <token> represents your API key, which must be acquired from the Kolena platform.

Query Parameters

page_number
integer
default:0

Optionally specify the index of the Runs page to fetch.

Required range: x >= 0
page_size
integer
default:50
Required range: x <= 1000

Response

Successful Response

agents
Agent · object[]
required

The page of fetched Agents.

total_pages
integer
required

The total number of pages of Agents. Use the request arguments page_number and page_size to control which Agents are fetched.

page_number
integer
required

The number of the fetched page.

page_size
integer
required

The page size, i.e. number of Agents, fetched.